<?php
namespace Incoviba\Model;

use Incoviba\Common\Ideal\Model;

class Provincia extends Model
{
    public string $descripcion;
    public Region $region;

    public function jsonSerialize(): mixed
    {
        return array_merge(parent::jsonSerialize(), [
            'descripcion' => $this->descripcion,
            'region' => $this->region
        ]);
    }
    public function __toString(): string
    {
        return implode(', ', [$this->descripcion, '' . $this->region]);
    }
}
